package com.eco.plugin.xxxx.webservicets.config;

import com.eco.plugin.xxxx.webservicets.dsdd.dsdd.DSDDMsgFormula;
import com.eco.plugin.xxxx.webservicets.dsdd.dsdd.TsBean;
import com.eco.plugin.xxxx.webservicets.dsdd.dsdd.TsEntity;
import com.eco.plugin.xxxx.webservicets.dsdd.dsdd.TsHandler;
import com.fr.plugin.context.PluginContext;
import com.fr.plugin.observer.inner.AbstractPluginLifecycleMonitor;
import com.fr.schedule.extension.report.job.output.formula.FormulaBox;
import com.fr.schedule.feature.ScheduleOutputActionEntityRegister;
import com.fr.schedule.feature.output.OutputActionHandler;

/**
 * @author fr.open
 * @version 10.0
 * Created by fr.open on 2021-12-03
 */
public class InitializeMonitor extends AbstractPluginLifecycleMonitor {
    @Override
    public void afterRun(PluginContext pluginContext) {
        OutputActionHandler.registerHandler(new TsHandler(), TsBean.class.getName());
        ScheduleOutputActionEntityRegister.getInstance().addClass(TsEntity.class);
        FormulaBox.KEY.register(new DSDDMsgFormula());

        WinkSimpleConfig.getInstance();
    }

    @Override
    public void beforeStop(PluginContext pluginContext) {
        OutputActionHandler.removeOutputHandler(TsBean.class.getName());
        ScheduleOutputActionEntityRegister.getInstance().removeClass(TsEntity.class);
    }
}
