package com.eco.plugin.xxxx.webservicets.utils;

import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
import org.xml.sax.InputSource;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathExpression;
import javax.xml.xpath.XPathFactory;
import java.io.StringReader;


public class XMLUtils {
    public static NodeList xmlTONodeList(String xml){
        NodeList nodes = null ;

        DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();

        try {
            DocumentBuilder builder = dbf.newDocumentBuilder();
            StringReader sr = new StringReader(xml);
            InputSource is = new InputSource(sr);
            Document doc = builder.parse(is);
            XPathFactory factory = XPathFactory.newInstance();
            XPath xPath = factory.newXPath();
            XPathExpression expr = xPath.compile("/root/*");
            nodes = (NodeList) expr.evaluate(doc, XPathConstants.NODESET);
            if (null == nodes) {
                return null;
            }
        }catch (Exception e){
            e.printStackTrace();
        }

        return nodes;
    }

    public static String getValueByNodeName(NodeList nodes, String nodeName){
        for (int i = 0; i < nodes.getLength(); i++) {
            String nodes1 = nodes.item(i).getNodeName();
            if (nodes.item(i).getNodeName().equals(nodeName)) {
                return nodes.item(i).getTextContent();
            }
        }

        return "";
    }
}
