package com.eco.plugin.xxxx.webservicets.dsdd.dsdd;

import com.fr.schedule.base.bean.output.BaseOutputAction;
import com.fr.schedule.base.entity.AbstractScheduleEntity;
import com.fr.schedule.base.type.RunType;
import com.fr.third.fasterxml.jackson.annotation.JsonSubTypes;

@JsonSubTypes.Type(value = TsBean.class, name = "TsBean")
public class TsBean extends BaseOutputAction {
    private static final long serialVersionUID = 8245931480823179622L;
//    private String content = null;

    //报表类型
    private String type = null;
    //数据集名称
    private String serverdata = null;

    public TsBean(){
        super();
    }

    //是否受不同用户生成不同附件影响
    @Override
    public boolean willExecuteByUser() {
        return false;
    }

    @Override
    public RunType runType() {
        return RunType.SEND_EMAIL;
    }

    //这里直接关联第一步的entity类
    @Override
    public Class<? extends AbstractScheduleEntity> outputActionEntityClass() {
        return TsEntity.class;
    }

    public TsBean id(String id){
        setId(id);
        return this;
    }

//    public String getContent() {
//        return content;
//    }
//
//    public void setContent(String content) {
//        this.content = content;
//    }
//
//    public TsBean content(String content){
//        setContent(content);
//        return this;
//    }

    public String getType() {
        return type;
    }

    public void setType(String title) {
        this.type = title;
    }

    public TsBean type(String title){
        setType(title);
        return this;
    }

    public String getServerdata() {
        return serverdata;
    }

    public void setServerdata(String type) {
        this.serverdata = type;
    }

    public TsBean serverdata(String type){
        setServerdata(type);
        return this;
    }

    //转换成entity对象，用于数据库存储，注意属性不要漏了
    @Override
    public TsEntity createOutputActionEntity() {
        return new TsEntity()
                .id(this.getId())
//                .content(this.getContent())
                .serverdata(this.getServerdata())
                .type(this.getType())
                ;
    }
}
